/*
 * jabak Java Backup
 * 
 * Copyright (C) under the terms of the GNU General Public License
 * as explained in the file "disclaimer.txt"
 */

package backup;

/**
 * @author  Georg Dietrich
 * @version 1.1 on 2004-04-18
 * @version 1.0 on 2004-04-11
 */
public abstract class ProgressInterface {

	public static ProgressInterface inter = null;
	
	public static void display (long size, long sizeMax, int numFiles, int skipFiles) {
		if (inter != null) {
			inter.update(size, sizeMax, numFiles, skipFiles);
		} else {
			System.out.println(numFiles+": "+size+" of "+sizeMax);
		}
	}

	protected abstract void update(long size, long sizeMax, int numFiles, int skipFiles);

}
