/*
 * jabak Java Backup
 * 
 * Copyright (C) under the terms of the GNU General Public License
 * as explained in the file "disclaimer.txt"
 */

package backup;

import java.io.File;

/**
 * @author  Georg Dietrich
 * @version 1.0 on 2004-04-10
 */
public class DataCheck implements ObjectHandler {

	Settings settings;
	
	public DataCheck (Settings mySettings) {
		settings = mySettings;
	}

	public boolean perform(Object object) {
		File data = (File) object;
		File source = Util.data2source(data, settings);
		if (source.exists()) return true;
		data.delete();
		System.out.println("removed orphan data file "+data);
		return true;
	}

}
